	
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Tipo Cambio
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento</li>
				<li class="breadcrumb-item" >Caja</li>
				<li class="breadcrumb-item active">Tipo Cambio</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="tipocambio_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	
	
	
	
	
	
	
	
	
	<!-- Filter content -->
	<div id="div_tipocambio_filtro"></div>
	<!-- Table content -->
	<div id="div_tipocambio_tabla"></div>
<div class="modal fade" id="div_tipocambio_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static"  tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg" style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_tipocambio_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
<script type="text/javascript">
	$("#file_archivo").fileinput({
        browseClass: "btn btn-success ",
		 browseLabel:"",
		 browseIcon: "<i class=\"fa fa-file-excel-o\"></i> ",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
	
		
$("#file_archivo").change(function(){
	
	var file = $("#file_archivo")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo")[0]);
	if(fileExtension == "xlsx" || fileExtension == "xls"){
		
		$.ajax({
		type: "POST",
		url: "../tipocambio/importar_datos.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			//toastr["info"]('Procesando archivo');
			
			
			$("#msj_imporcompra").html('Procesando el archivo subido...');	
			$("#msj_imporcompra").show();	
        },
		success: function(rpt){
				
		},
		complete: function(data){			
			tipocambio_tabla();
			$("#msj_imporcompra").hide();	
			toastr["info"]('Archivo procesado correctamente');	
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo Excel');
	}
	});
	
	
	function tipocambio_filtro(){	
		
		$.ajax({						
			url: "../tipocambio/tipocambio_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
				
			}),
			beforeSend: function() {
				$('#div_tipocambio_filtro').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_tipocambio_filtro').html(html);
			},
			complete: function(){			
				$('#div_tipocambio_filtro').removeClass("ui-state-disabled");
				tipocambio_tabla();
			}
		});        
	}
	function tipocambio_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../tipocambio/tipocambio_tabla.php",
			async:true,
			dataType: "html",                      
			data: $('#for_fil_tal').serialize(),
			beforeSend: function() {
				$('#div_tipocambio_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_tipocambio_tabla').html(html);
			},
			complete: function(){			
				$('#div_tipocambio_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function tipocambio_form(act,idf){
		$('#div_tipocambio_form_dialog').modal('show');
		$.ajax({
			type: "POST",
			url: "../tipocambio/tipocambio_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				tipcam_id:	idf,
				vista:	'tipocambio_tabla'
			}),
			beforeSend: function() {
					var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
			
				$('.div_tipocambio_form').html(div);
			},
			success: function(html){
				$('.div_tipocambio_form').html(html); 
				$(window).scrollTop(0);				
			}
		});
	}
	function eliminar_tipocambio(id)
	{      
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../tipocambio/tipocambio_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					moncam_id:		id
				}),
				beforeSend: function() {
					$('#msj_tipocambio').html("Cargando...");
					$('#msj_tipocambio').show(100);
				},
				success: function(html){
					$('#msj_tipocambio').html(html);
					$('#msj_tipocambio').show();
				},
				complete: function(){
					tipocambio_tabla();
				}
			});
		}
	}
	$(function() {
	tipocambio_filtro();	 
	
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../tipocambio/tipocambio_vista.php");
		});
		setTitle("TIPO DE CAMBIO - "+nombreEmpresa);	
		
	});
</script>